Name:           srm
Version:        1.2.9
Release:        2%{?dist}
Summary:        Secure file deletion

Group:          Applications/System
License:        MIT
URL:            http://srm.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
srm is a secure replacement for rm(1). Unlike the standard rm, it
overwrites the data in the target files before unlinkg them. This
prevents command-line recovery of the data by examining the raw block
device. It may also help frustrate physical examination of the disk,
although it's unlikely that completely protects against this type of
recovery.


%prep
%setup -q
# Convert to utf-8
for file in COPYING; do
    mv $file timestamp
    iconv -f ISO-8859-1 -t UTF-8 -o $file timestamp
    touch -r timestamp $file
done

%build
%configure
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="install -p"


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_mandir}/man*/*.*
%{_bindir}/%{name}


%changelog
* Sun Jan 04 2009 Fabian Affolter <fabian@bernewireless.net> - 1.2.9-2
- Added compiler flags

* Fri Jan 02 2009 Fabian Affolter <fabian@bernewireless.net> - 1.2.9-1
- Initial package for Fedora
